package pb.ir.ui;


import java.applet.Applet;
import java.awt.BorderLayout;
import java.io.InputStream;
import java.net.URL;

import javax.swing.JApplet;

public class IRUIApplet extends JApplet {
	private IRMainUI ui;

	public void init() {
    	ui = new IRMainUI(this);
        getContentPane().setLayout(new BorderLayout());
        getContentPane().add(ui, BorderLayout.CENTER);

        layout();
        
        try {
            URL url = new URL(getCodeBase(), "pcir.xml");
			ui.load(url.openStream());
        }
        catch (Exception e) {
          	System.out.println("Error in IRUIApplet: " + e);
        }
    }
}
