package pb.ir.irdata;


import java.util.Enumeration;
import java.util.Iterator;
import java.util.TreeMap;

import pb.util.OrdList;


public class IRDevice {
	private String name;
	private OrdList funcList = new OrdList();

	public IRDevice(String s) {
		name = s;
	}

	public void addFunction(IRFunction f) {
		funcList.put(f.name, f);
	}

	public Enumeration getFuncListx() {
		return funcList.values();
	}

	public IRFunction getFunc(String fName) {
		return (IRFunction)(funcList.get(fName));
	}

	public String getName() {
		return name;
	}

    public IRFunction getFunction(long code) {
    	for (Enumeration it = getFuncListx(); it.hasMoreElements(); ) {
        	IRFunction f = (IRFunction)(it.nextElement());
            if (f.code == code)
            	return f;
        }

        return null;
    }
}

